<?php

App::uses('EvShopAppController', 'EvShop.Controller');

/**
 * Product Attribute App Controller
 *
 * @package EvShop/ProductAttribute
 */
class BrandsController extends EvShopAppController {

/**
 * Defines the fields displayed in a filter form.
 *
 * Defaults to id, display name, is_active, created and modified fields.
 *
 * Override in your controller to customise.
 *
 * Format:
 *
 * 'id' => array(
 *         'label' => label text,
 *         'type' => data type of control
 *         'compare' => SQL query. e.g. Model.field='%s' (where %s is replace by the value of the field)
 *         'default' => value you want the data filtering by by default
 * )
 */
	protected function _adminFilterFields() {

		$Model = $this->{$this->modelClass};
		$fields = parent::_adminFilterFields();

		unset($fields[$Model->alias.'.id']);
		unset($fields[$Model->alias.'.created']);
		unset($fields[$Model->alias.'.modified']);

		return $fields;

	}

}